#include <iostream>
#include <unistd.h>

#include "station.h"

using namespace std;

int main(int argc, char *argv[])
{
   StationMeteo stationMeteo("Avignon");  
  
   cout << "Station Météo à " << stationMeteo.getLieu() << endl << endl;

   int n = 5;
   while(n--)
   {
      stationMeteo.acquerir();
      
      cout << "Date : " << stationMeteo.getHorodatage() << endl;    
      cout << "Temperature : " << stationMeteo.getTemperature() << " °C" << endl;    
      cout << "Pression atmospherique : " << stationMeteo.getPressionAtmospherique() << " hPa" << endl;    
      cout << "Hygrometrie relative : " << stationMeteo.getHygrometrie() << " %" << endl;    
      
      cout << "Vitesse du vent : " << stationMeteo.getVitesseVent() << " km/h" << endl;    
      cout << "Direction du vent : " << stationMeteo.getDirectionVent() << " °" << endl;          
      cout << endl;    
      
      stationMeteo.enregistrer();
      
      sleep(1);
   }
   
     
   return 0;
}
