#ifndef _TESTUNITAIREMESURES_H
#define _TESTUNITAIREMESURES_H

#include <cppunit/extensions/HelperMacros.h>

class Mesures; // La classe à tester

#define INTERFACE_SIMULATION // type de test

class TestUnitaireMesures : public CPPUNIT_NS::TestFixture
{
  CPPUNIT_TEST_SUITE( TestUnitaireMesures );
  CPPUNIT_TEST( testTriTaillePaire ) ;
  CPPUNIT_TEST( testTriTailleImpaire ) ;
  CPPUNIT_TEST( testTriDejaTrie ) ;
  // TODO : etc ...
  CPPUNIT_TEST_SUITE_END();

private:
   Mesures *mesures;
   
public:
   TestUnitaireMesures();
   virtual ~TestUnitaireMesures();

   // Call before tests
   void setUp();
   // Call after tests
   void tearDown();
        
   // Liste des tests
   void testTriTaillePaire();
   void testTriTailleImpaire();
   void testTriDejaTrie();
   // TODO : etc ...
};

#endif
